---
type: api
title: Get maintenance window details.
description: **Spaces method and path for this operation:**
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v8/operation/operation-get-maintenance-window-id
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v8/operation/operation-get-maintenance-window-id
products:
  - Kibana
---

# Get maintenance window details.

- Server: `https://{kibana_url}`

## Paths

- `GET` `/api/maintenance_window/{id}`
- `GET` `/s/{space_id}/api/maintenance_window/{id}`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v8/authentication#apikeyauth)
- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v8/authentication#basicauth)

#### Path Parameters

- `id` (string)
  The identifier for the maintenance window.

## Description

Refer to [Spaces](https://www.elastic.co/docs/deploy-manage/manage-spaces) for more information.

[Required authorization] Route required privileges: read-maintenance-window.

## Responses

#### `200`

Indicates a successful call.

`application/json`

- `created_at` (string)
  The date and time when the maintenance window was created.
- `created_by` (string) — nullable
  The identifier for the user that created the maintenance window.
- `enabled` (boolean)
  Whether the current maintenance window is enabled. Disabled maintenance windows do not suppress notifications.
- `id` (string)
  The identifier for the maintenance window.
- `schedule` (object)
  - `custom` (object)
    - `duration` (string)
      The duration of the schedule. It allows values in `<integer><unit>` format. `<unit>` is one of `d`, `h`, `m`, or `s` for hours, minutes, seconds. For example: `1d`, `5h`, `30m`, `5000s`.
    - `recurring` (object)
      - `end` (string)
        The end date of a recurring schedule, provided in ISO 8601 format and set to the UTC timezone. For example: `2025-04-01T00:00:00.000Z`.
      - `every` (string)
        The interval and frequency of a recurring schedule. It allows values in `<integer><unit>` format. `<unit>` is one of `d`, `w`, `M`, or `y` for days, weeks, months, years. For example: `15d`, `2w`, `3m`, `1y`.
      - `occurrences` (number)
        The total number of recurrences of the schedule.
      - `onMonth` ([] number)
        The specific months for a recurring schedule. Valid values are 1-12.
      - `onMonthDay` ([] number)
        The specific days of the month for a recurring schedule. Valid values are 1-31.
      - `onWeekDay` ([] string)
        The specific days of the week (`[MO,TU,WE,TH,FR,SA,SU]`) or nth day of month (`[+1MO, -3FR, +2WE, -4SA, -5SU]`) for a recurring schedule.
    - `start` (string)
      The start date and time of the schedule, provided in ISO 8601 format and set to the UTC timezone. For example: `2025-03-12T12:00:00.000Z`.
    - `timezone` (string)
      The timezone of the schedule. The default timezone is UTC.
- `scope` (object)
  - `alerting` (object)
    - `query` (object)
      - `kql` (string)
        A filter written in Kibana Query Language (KQL).
- `status` (enum)
  The current status of the maintenance window.
  Values: `running`, `upcoming`, `finished`, `archived`
- `title` (string)
  The name of the maintenance window.
- `updated_at` (string)
  The date and time when the maintenance window was last updated.
- `updated_by` (string) — nullable
  The identifier for the user that last updated this maintenance window.
#### `400`

Indicates an invalid schema or parameters.

#### `403`

Indicates that this call is forbidden.

#### `404`

Indicates a maintenance window with the given ID does not exist.

## Code Examples

#### Console

```console
GET /api/maintenance_window/{id}
```

#### curl

```curl
curl -X GET "https://{kibana_url}/api/maintenance_window/{id}"
```

